Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.file
Class DirectoryWalker

    java.lang.Object
      com.ejie.r01f.file.DirectoryWalker

All Implemented Interfaces:
  java.util.Iterator

public class DirectoryWalker
extends java.lang.Object
implements java.util.Iterator

Recorre una estructura de directorios a partir de un punto de partida y va lanzando eventos por cada fichero o directorio que se encuentra. Implementa el interfaz Iterator, de forma que se puede iterar por los ficheros y directorios... El siguiente ejemplo recorre el directorio actual final DirectoryWalker walker = new DirectoryWalker("."); while(dirWalk.hasNext()) { dirWalk.next(); }

Constructor Summary
`DirectoryWalker(java.lang.String startingDirectory)` Constructor
`DirectoryWalker(java.lang.String startingDirectory, DirectoryWalkerEventListener listener)` Constructor
`DirectoryWalker(java.lang.String startingDirectory, DirectoryWalkerEventListener listener, java.io.FileFilter filter)` Constructor en base a un filtro de ficheros
`DirectoryWalker(java.lang.String startingDirectory, java.io.FileFilter filter)` Constructor en base a un filtro de ficheros

Method Summary
`DirectoryWalkerEventListener` | `getListener()` Devuelve el listener que se esta utilizando en el walker
`java.lang.String` | `getStartingDirectory()` Devuelve el directorio por el que se ha empezado a reptar
`boolean` | `hasNext()` Indica si quedan ficheros
`static void` | `main(java.lang.String[] args)` Main Method
`java.lang.Object` | `next()` Devuelve el siguiente fichero
`void` | `remove()` Elimina el fichero
`void` | `setListener(DirectoryWalkerEventListener listener)` Establece el listener de eventos del walker
`void` | `setStartingDirectory(java.lang.String startingDirectory)` Establece el directorio por el que se empieza a reptar

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryWalker

    public DirectoryWalker(java.lang.String startingDirectory)

  Constructor

### DirectoryWalker

    public DirectoryWalker(java.lang.String startingDirectory,
                           DirectoryWalkerEventListener listener)

  Constructor

### DirectoryWalker

    public DirectoryWalker(java.lang.String startingDirectory,
                           java.io.FileFilter filter)

  Constructor en base a un filtro de ficheros

### DirectoryWalker

    public DirectoryWalker(java.lang.String startingDirectory,
                           DirectoryWalkerEventListener listener,
                           java.io.FileFilter filter)

  Constructor en base a un filtro de ficheros

Method Detail

### setStartingDirectory

    public void setStartingDirectory(java.lang.String startingDirectory)

  Establece el directorio por el que se empieza a reptar

### getStartingDirectory

    public java.lang.String getStartingDirectory()

  Devuelve el directorio por el que se ha empezado a reptar

### setListener

    public void setListener(DirectoryWalkerEventListener listener)

  Establece el listener de eventos del walker

### getListener

    public DirectoryWalkerEventListener getListener()

  Devuelve el listener que se esta utilizando en el walker

### hasNext

    public boolean hasNext()

  Indica si quedan ficheros

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    true si quedan ficheros o false si no quedan

### next

    public java.lang.Object next()

  Devuelve el siguiente fichero

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    Un objeto File con el siguiente fichero o directorio
  Throws:
    `NoSuchElementException:` - Si ya no quedan ficheros o directorios

### remove

    public void remove()

  Elimina el fichero

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.UnsupportedOperationException` - ya que no se pueden borrar ficheros utilizando esta clase

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD